import { renderless, api } from '@opentinyvue/vue-renderless/skeleton/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import SkeletonItem from '@opentinyvue/vue-skeleton-item';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: [],
  props: [].concat(props, ["loading", "rows", "avatar", "rowsWidth", "animated"]),
  components: {
    TinySkeletonItem: SkeletonItem
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "w-full",
    attrs: {
      "data-tag": "tiny-skeleton"
    }
  }, [_vm.loading ? [_vm._t("placeholder", function() {
    return [_c("div", {
      staticClass: "flex w-full",
      attrs: {
        "data-tag": "tiny-skeleton__article"
      }
    }, [_vm.avatar ? _c("tiny-skeleton-item", {
      staticClass: "relative overflow-hidden shrink-0 mr-4",
      attrs: {
        "variant": "circle",
        "data-tag": "tiny-skeleton__avatar"
      }
    }) : _vm._e(), _c("div", {
      staticClass: "w-full",
      attrs: {
        "data-tag": "tiny-skeleton__section"
      }
    }, [_c("tiny-skeleton-item", {
      staticClass: "w-60 h-12",
      attrs: {
        "data-tag": "tiny-skeleton-item__title"
      }
    }), _c("div", {
      staticClass: "mt-6 mb-6",
      attrs: {
        "data-tag": "tiny-skeleton-item__rows"
      }
    }, _vm._l(_vm.rows, function(item, index) {
      return _c("tiny-skeleton-item", {
        key: item,
        class: index === _vm.rows - 1 ? "mb-0 w-3/5" : "mb-3",
        style: {
          width: _vm.toPxStyle(_vm.rowsWidth[index])
        }
      });
    }), 1)], 1)], 1)];
  })] : [_vm._t("default")]], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
